function Yp = equation(t,Y)

global  betaN  betaT  betaR   omega  psi1  psi2  varepsilon  alpha  mu...
    tau1  tau2  phi1  phi2  rho1  rho2  l1  l2  l3  delta1  delta2...
    k1  k2  k3  etaRN  etaRT  etaRR  etaCN  etaCT  etaCR  aRN  aRT aRR... 
    aCN  aCT  aCR  nN nT  nR  betaRN betaRT betaRR betaCN betaCT...
    betaCR   theta  c1  c2  c3  c4  c5  c6  c7  c8  r thetaINS ...
    thetaREC  UN UT UR  XN1 XT1 XR1 YN1 YT1 YR1  XN2 XT2 XR2 YN2...
    YT2 YR2  lambdaN  lambdaT lambdaR b

SN  = Y(1);
IN1 = Y(2); 
IN2 = Y(3);
ST = Y(4);
IT1 = Y(5);
IT2 = Y(6);
SR = Y(7);
IR1  = Y(8);
IR2 = Y(9);
IA1 = Y(10);
IA2 = Y(11);

Nall = SN+IN1+IN2+ST+IT1+IT2+SR+IR1+IR2+IA1+IA2;

betaN = aRN*(1-etaRN)+aCN*(1-etaCN);   
betaT = aRT*(1-etaRT)+aCT*(1-etaCT);        
betaR = aRR*(1-etaRR)+aCR*(1-etaCR);     

UN = ((1-thetaREC)^(1-r)*(1-thetaINS)^r)^betaN;
UT = ((1-thetaREC)^(1-r)*(1-thetaINS)^r)^betaT;
UR = ((1-thetaREC)^(1-r)*(1-thetaINS)^r)^betaR;

gamma = (IN1+omega*IN2+psi1*(IT1+omega*IT2)...
    +psi2*(IR1+omega*IR2+varepsilon*(IA1+IA2)))./Nall;

lambdaN = 1-UN^gamma;
lambdaT = 1-UT^gamma;
lambdaR = 1-UR^gamma;
 
SNp = alpha-mu*SN-lambdaN.*SN-k1*SN;     
IN1p = lambdaN.*SN-rho1*IN1-mu*IN1-k2*IN1;
IN2p = rho1*IN1-rho2*IN2-mu*IN2-k3*IN2;

STp = k1*SN-mu*ST-lambdaT.*ST-l1*ST;     
IT1p = k2*IN1+lambdaT.*ST-rho1*IT1-mu*IT1-l2*IT1;
IT2p = k3*IN2+rho1*IT1-rho2*IT2-mu*IT2-l3*IT2;
 
SRp = l1*ST-mu*SR-lambdaR.*SR;     
IR1p = l2*IT1+lambdaR.*SR-rho1*IR1-mu*IR1-tau1*IR1+phi1*IA1;
IR2p = l3*IT2+rho1*IR1-rho2*IR2-mu*IR2-tau2*IR2+phi2*IA2;

IA1p = tau1*IR1-mu*IA1-delta1*IA1-phi1*IA1+b*IA2;
IA2p = tau2*IR2+delta1*IA1-mu*IA2-delta2*IA2-phi2*IA2-b*IA2;

Yp(1) = SNp;
Yp(2) = IN1p; 
Yp(3) = IN2p;
Yp(4) = STp;
Yp(5) = IT1p;
Yp(6) = IT2p;
Yp(7) = SRp;
Yp(8) = IR1p;
Yp(9) = IR2p;
Yp(10) = IA1p;
Yp(11) = IA2p;

Yp = [Yp(1); Yp(2); Yp(3); Yp(4); Yp(5); Yp(6); Yp(7); Yp(8); Yp(9); Yp(10); Yp(11)];